import request from "@/utils/request";

// 我的履职记录
export function MyDutyList(data) {
  return request({
    url: "app/resumption/sppResumptionResultLog/my",
    method: "get",
    params: data,
  });
}

// 履职记录明细 
// data 履职记录id
export function TheDutyLog(data) {
  return request({
    url: "/app/resumption/sppResumptionResultLog/listlog",
    method: "get",
    params:data
  });
}

// 我的履职记录新增/更新
export function CrUpDutyLog(data) {
  return request({
    url: "/app/resumption/sppResumptionResultLog/listSave",
    method: "post",
    data: data,
  });
}

// 我的履职记录结果删除（二级节点）
// data:履职记录id
export function DeDutyLog(data) {
  return request({
    url: "/app/resumption/sppResumptionResultLog/listDelete?id="+data,
    method: "get",
  });
}

// 履职记录明细附件列表
export function MyDutyFile(data) {
  return request({
    url: "/app/resumption/sppResumptionResultLog/myFile?resultLogId="+data,
    method: "get",
  });
}
// // 履职记录明细附件列表
// export function MyDutyLogFile(data) {
//   return request({
//     url: "/app/resumption/sppResumptionResultLog/myFile",
//     method: "post",
//     data:data
//   });
// }
// 履职记录附件详情
export function DutyFileDetail(data) {
  return request({
    url: "/app/resumption/file/detail?id="+data,
    method: "get",
  });
}

// 履职记录删除（一级节点）
export function DeDutyLogRec(data) {
  return request({
    url: "/app/resumption/sppResumptionResultLog/delete?id="+data,
    method: "get",
  });
}
